; The path of the SASrv.exe CopyFiles path must be the same as the SAII file
; defined in the SAII.INI file.
[Version]
Signature            = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER            = 4

[Manufacturer]
Conexant = Conexant, NTamd64

[Conexant.NTx86]
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[Conexant.NTamd64]
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = HdAudModel, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[HdAudModel.NTx86]
DelReg      = SAService.DelReg32
CopyFiles   = SAService.CopyFiles32
InstallApp  = SAService.InstallApp32

[HdAudModel.NTamd64]
DelReg      = SAService.DelReg64
CopyFiles   = SAService.CopyFiles64
InstallApp  = SAService.InstallApp64

[SAService.DelReg32]
HKLM, SOFTWARE\Conexant\SASrv.exe

[SAService.DelReg64]
HKLM, SOFTWARE\Wow6432Node\Conexant\SASrv.exe

[SourceDisksNames]
1 = "Conexant SmartAudio Service Installation Disk"

[SourceDisksFiles]
SASrv.exe     = 1,\SAII

[DestinationDirs]
DefaultDestDir         = 11
SAService.CopyFiles32  = 11
SAService.CopyFiles64  = 16425

[SAService.CopyFiles32]
SASrv.exe     ,,,2

[SAService.CopyFiles64]
SASrv.exe     ,,,2

[SAService.InstallApp32]
PreInstallApp = "net", "stop saservice", 0x120
PreInstallApp = "%11%\SASrv.exe", "-remove"
InstallApp    = "%11%\SASrv.exe", "-install"
InstallApp    = "net", "start saservice", 0x120
UninstallApp  = "net", "stop saservice", 0x120
UninstallApp  = "%11%\SASrv.exe", "-remove"

[SAService.InstallApp64]
PreInstallApp = "net", "stop saservice", 0x120
PreInstallApp = "%16425%\SASrv.exe", "-remove"
InstallApp    = "%16425%\SASrv.exe", "-install"
InstallApp    = "net", "start saservice", 0x120
UninstallApp  = "net", "stop saservice", 0x120
UninstallApp  = "%16425%\SASrv.exe", "-remove"
